﻿* Encoding: UTF-8.
* Fecha de elaboración: 20 de Noviembre de 2018
* Fecha última modificación: 20 de Noviembre de 2018
********************************************************************************
* Software estadístico: SPSS 24
********************************************************************************
* Elaborado por: DEAGA.
*==============================================================================*
** 1. Modelo de gestión para la prestación del servicio 2017**.
*MA21 2.1.- ¿La prestación de los servicios de agua potable y alcantarillado en el Municipio son a través de:?.
compute MGPS = MA21.
recode MGPS (1= 1)(3,5 = 2)(4 = 3)(6= 4).
variable labels MGPS 'La prestación de los servicios de agua potable y alcantarillado en el Municipio son a través de:'.
value labels MGPS
1 'Empresa Pública Municipal'
2 'Empresa Pública Mancomunada - Regional'
3 'Municipio'
4 'Operador Privado'.

*Calculo del indicador. 
CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MGPS DISPLAY=LABEL 
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2]
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY MGPS 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MGPS EMPTY=INCLUDE TOTAL=YES LABEL='Municipios' POSITION=AFTER 
  /TITLES 
    TITLE='Modelo de gestión para la prestación del servicio: 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**2. Continuidad del servicio de agua apta para el consumo humano 2016.
* MA224_RP_C_ND_ZU-->1.- Red Pública Zona Urbana 2.2.4 Continuidad: 1.- Número de días con servicio por mes..
* MA224_RP_C_ND_ZR-->1.- Red Pública Zona Rural 2.2.4 Continuidad: 1.- Número de días con servicio por mes.			
* MA225_RP_C_NH_ZU-->1.- Red Pública Zona Urbana 2.2.5 Continuidad: 2.- Número de horas con servicio por día.
* MA225_RP_C_NH_ZR-->1.- Red Pública Zona Rural 2.2.5 Continuidad: 2.- Número de horas con servicio por día.			

*Calculo del indicador. 
CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MA224_RP_C_ND_ZU MA225_RP_C_NH_ZU MA224_RP_C_ND_ZR MA225_RP_C_NH_ZR   
    DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA224_RP_C_ND_ZU [S][MEAN] + MA225_RP_C_NH_ZU [S][MEAN] 
   + MA224_RP_C_ND_ZR [S][MEAN] + MA225_RP_C_NH_ZR [S][MEAN]
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Continuidad del servicio de agua apta para el consumo humano 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**3. Principales fuentes de captación de agua 2017.
* MA3131 3.1.3.1 ¿Cuantas fuentes tiene en el cantón?
* MA31321T 3.1.3.2.1 Subtipo Superficial: Río
* MA31322T 3.1.3.2.2 Subtipo Superficial: Lago
* MA31323T 3.1.3.2.3 Subtipo Superficial: Embalse o canal
* MA31324T 3.1.3.2.4 Subtipo Superficial: Arroyos
* MA31325T 3.1.3.2.5 Subtipo Superficial: Esteros
* MA31326T 3.1.3.2.6 Subtipo Superficial: Quebradas
* MA31327 3.1.3.2.7 Total Fuentes Superficial
* MA3133 3.1.3.3 Fuente  Subterránea
* MA31331T 3.1.3.3.1 Subtipo Subterranea: Manantiales
* MA31332T 3.1.3.3.2 Subtipo Subterranea: Vertientes
* MA31333T 3.1.3.3.3 Subtipo Subterranea: Galerías
* MA31334T 3.1.3.3.4 Subtipo Subterranea: Pozo somero
* MA31335T 3.1.3.3.5 Subtipo Subterranea: Pozo profundo
* MA31336T 3.1.3.3.6 Subtipo Subterranea: Pozo excavado
* MA31337T 3.1.3.3.7 Subtipo Subterranea: Pozo perforado
* MA31338 3.1.3.3.8 Total Fuentes Subterránea

*Calculo del indicador. 
CTABLES
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MA31321T MA31322T MA31323T MA31324T MA31325T MA31326T MA31327 
    MA31331T MA31332T MA31333T MA31334T MA31335T MA31336T MA31337T MA31338 MA3131
    DISPLAY=LABEL
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA31321T [S][SUM] + MA31322T [S][SUM] + MA31323T 
    [S][SUM] + MA31324T [S][SUM] + MA31325T [S][SUM] + MA31326T [S][SUM] + MA31327 [S][SUM] + MA31331T 
    [S][SUM] + MA31332T [S][SUM] + MA31333T [S][SUM] + MA31334T [S][SUM] + MA31335T [S][SUM] + MA31336T 
    [S][SUM] + MA31337T [S][SUM] + MA31338 [S][SUM] + MA3131 [S][SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='Principales Fuentes de Captación de Agua 2017'
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado.'.

*==============================================================================*
**4. Proporción de municipios que disponen de sistemas de tratamiento de agua 2017.
*MA3161 3.1.6  Tratamiento: 3.1.6.1 ¿Cuenta con sistema de tratamiento?

* Calculo del indicador.
*Los siguientes cantones en observaciones indican que compran agua potabilizada a otro cantones.
*Nobol compra agua en bloques a Guayaquil.
*Lomas de Sargentillo compra el agua a Daule.

compute PMDST = MA3161.
if (IDCANTON = 924) PMDST = 3. 
if (IDCANTON = 925) PMDST = 3. 
alter type PMDST (f1.0).
value labels PMDST 1'Si' 2'No' 3'Compra agua'.
variable labels PMDST 'Cuenta con sistemas de tratamiento'.
variable width PMDST (15).

CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov PMDST DISPLAY=LABEL 
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
   + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY PMDST 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=PMDST ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES LABEL='Municipios' POSITION=AFTER 
  /TITLES 
    TITLE='Proporción de municipios que disponen de sistemas de tratamiento de agua 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**5. Proporción de municipios que cumplen con la norma INEN 1108 en el año 2017.
*MA3167NI 3.1.6.7 ¿La calidad del agua tratada cumple con la norma INEN 1108?.

* Calculo del indicador.
compute MCNI = MA3167NI.
recode MCNI (sysmis = 3).
alter type MCNI (f1.0).
value labels MCNI 1'Si' 2'No' 3'Municipio no tiene sistema de tratamiento'.
variable labels MCNI 'La calidad del agua tratada cumple con la norma INEN 1108'.

CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MCNI 
    DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MCNI [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MCNI ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
   /TITLES 
    TITLE='Proporción de municipios que cumplen con la norma INEN 1108 en el año 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**6. Número de plantas con tratamiento de agua para consumo humano 2017.
*MA3162 3.1.6.2 ¿Cuántas plantas?.

* Calculo del indicador.
CTABLES
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MA3162 DISPLAY=LABEL
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA3162 [S][SUM, COLPCT.SUM PCT40.2]
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='Número de plantas con tratamiento de agua para consumo humano 2017'
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**7. Volumen total de agua distribuida 2017.
* MA3110     3.1.10 ¿Volumen de agua que va a la red (m3/mes)?.

* Calculo del indicador.
CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA3110  DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA3110 [S][SUM]  
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Volumen total de agua apta para consumo humano distribuida 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**8. Costo unitario promedio del metro cúbico de agua apta para el consumo humano 2017.
* MA5211    5.2.1.1 Pliego Tarifario
* MA52111  5.2.1.1.1. Conexiones domiciliarias.
* MA5212    5.2.1.2 Tasa única.
* MA5212V  5.2.1.2. ¿Cuál es el valor?.

* Calculo del indicador.
CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MA5211 MA52111 MA5212 MA5212V 
    DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA5211 [C][COUNT F40.0] 
   + MA52111 [S][MEAN] + MA5212 [C][COUNT F40.0] + MA5212V [S][MEAN] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA5211 [1] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA5212 [1] EMPTY=INCLUDE 
  /TITLES 
    TITLE='Costo unitario promedio del metro cúbico de agua apta para el consumo humano 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**9. Volumen promedio de agua por consumidor (conexión): 2017
* MA531   5.3.1. Consumo Promedio Mensual  (m3/mes/consumidor).

* Calculo del indicador.
CTABLES 
   /FORMAT EMPTY='-' MISSING='.' 
   /SMISSING VARIABLE
   /VLABELS VARIABLES=Nacional regiont Prov MA531 DISPLAY=LABEL 
   /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA531 [S][SUM, VALIDN F40.0, MEAN] 
   /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
   /TITLES 
    TITLE='Volumen promedio de agua por consumidor (conexión): 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**10. Volumen de agua facturada por GAD municipal 2017.
* MA3110    3.1.10 ¿Volumen de agua que va a la red (m3/promedio mes)?
* MA533      5.3.3 Volumen de agua facturado (m3/ mes).

* Calculo del indicador.
CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA3110 MA533 DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA3110 [S][SUM] + MA533 [S][SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
   /TITLES 
    TITLE='Volumen de agua facturada por GAD municipal 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**11. Porcentaje de agua distribuida que ingresa al alcantarillado 2017.
*MA3110       3.1.10 ¿Volumen de agua que va a la red (m3/promedio mes)?.
*MA43115     4.3.1.1.5 Alc. sanitario Caudal de agua residual  l/s.
*MA43125     4.3.1.2.5 Alc. combinado Caudal de agua residual  l/s.

*Calculo del indicador.
* 1 Suma caudal residual (sanitario y combinado).
compute SCRCC = sum.1 (MA43115, MA43125).
alter type SCRCC (f10.2).
variable labels SCRCC 'Sumatoria de Caudal de agua residual Alcantarillado Sanitario y Alcantarillado Combinado: l/s'.
variable width SCRCC (15).

compute VSCRCC = (SCRCC * 86400 * 30) / 1000.
alter type VSCRCC (f10.2).
variable labels VSCRCC 'Volumen de Caudal agua residual Alcantarillado Sanitario y Alcantarillado Combinado: m3/mes'.
variable width VSCRCC (15).

CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MA3110 VSCRCC  DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA3110 [S][SUM] + VSCRCC [S][SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Porcentaje de agua distribuida que ingresa al alcantarillado 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
*12. Porcentaje  de aguas residuales tratadas: 2017.
*MA3110       3.1.10 ¿Volumen de agua que va a la red (m3/promedio mes)?.
*MA455         4.5.5  Volumen de ingreso agua residual (m3/mes)

CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MA3110 MA455 DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA3110 [S][SUM] + MA455 [S][SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Porcentaje  de aguas residuales tratadas: 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
*13. Proporción de municipios que realizan procesos de tratamiento a las aguas residuales 2016.
*MA451      4.5.1. ¿Existe tratamiento previo a la descarga Final?.
*MA4311    4.3.1.1  Alcantarillado Sanitario
*MA4312    4.3.1.2  Alcantarillado Combinado
*MA4313    4.3.1.3  Alcantarillado Pluvial

* Calculo del indicador.
compute AS = MA4311.
compute AC = MA4312.
compute AP = MA4313.
recode AS AC AP ( sysmis = 0).

compute PMRTAR = MA451.
if (AS = 0 and AC = 0 and AP = 0) PMRTAR = 3.
alter type PMRTAR (f1.0).
value labels PMRTAR 1'Si' 2'No' 3'Municipio no tiene alcantarillado'.
variable labels PMRTAR 'Municipios que realizan procesos de tratamiento de aguas residuales'.
variable width PMRTAR (15).

CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional Prov PMRTAR DISPLAY=LABEL 
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY PMRTAR 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=PMRTAR ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Proporción de municipios que realizan procesos de tratamiento a las aguas residuales 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
*14. Número de plantas de tratamiento de aguas residuales 2017.
*MA452            4.5.2. Número de plantas de tratamiento.
*MA4531C        4.5.3.1  Tipo de tratamiento: Convencional
MA4532PP       4.5.3.2  Tipo de tratamiento: Planta Paquete
MA4533O         4.5.3.3  Tipo de tratamiento: Oxidación
MA4534N         4.5.3.4  Tipo de tratamiento: Nereda
MA4535LO       4.5.3.4  Tipo de tratamiento: Lagunas de oxidación
MA4536DA       4.5.3.5  Tipo de tratamiento: Digestión anaeróbica

* Calculo del indicador.
CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA4531C MA4532PP MA4533O MA4534N MA4535LO MA4536DA MA452 
    DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA4531C [S][SUM] + MA4532PP [S][SUM] + MA4533O 
    [S][SUM] + MA4534N [S][SUM] + MA4535LO [S][SUM] + MA4536DA [S][SUM] + MA452 [S][SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CRITERIA CILEVEL=95 
  /TITLES 
    TITLE='Número de plantas de tratamiento de aguas residuales 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
*15 Disposición final de  agua residual tratada por los municipios 2016.
*MA4591     4.5.9.1  Sitio de descarga de Agua Residual tratada:  Suelo
*MA4592     4.5.9.2  Sitio de descarga de Agua Residual tratada:  Río
*MA4593     4.5.9.3  Sitio de descarga de Agua Residual tratada:  Quebrada
*MA4594     4.5.9.4  Sitio de descarga de Agua Residual tratada:  Otro ¿Cuál?.

* Calculo del indicador.
CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA4591 MA4592 MA4593 MA4594 MA452 
    DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA4591 [SUM] + MA4592 [SUM] + MA4593 [SUM] + 
    MA4594 [SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CRITERIA CILEVEL=95 
  /TITLES 
    TITLE='Número de plantas de tratamiento de aguas residuales 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**16. Municipios que reutilizan el agua residual tratada 2016.
*MA458       4.5.8  Reúsa el agua residual tratada.

* Calculo del indicador.
CTABLES
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov MA458 DISPLAY=LABEL
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA458 [C][COUNT F40.0, ROWPCT.COUNT PCT40.2]
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=MA458 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES LABEL='Municipios' 
    POSITION=AFTER
  /TITLES
    TITLE='Municipios que reutilizan el agua residual tratada 2017'
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
**17. Disposición final de agua residual no tratada 2016.
*MA4511           4.5.11. ¿Tiene agua residual no tratada?
*MA4512           4.5.12. Cuántos sitios de descarga 
*MA45121         4.5.12.1  Río
*MA45122         4.5.12.2  Quebrada
*MA45123         4.5.12.3  Lago o Laguna
*MA45124         4.5.12.4  Mar

compute SDOTRO = sum.1 (MA45123, MA45124).

* Calculo del indicador.
CTABLES
   /FORMAT EMPTY='-' MISSING='.'   
  /VLABELS VARIABLES=Nacional regiont Prov MA45121 MA45122 SDOTRO MA4512 MA4511 
    DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA45121 [S][SUM] + MA45122 [S][SUM] + SDOTRO 
    [S][SUM] + MA4512 [S][SUM] + MA4511 [COUNT F40.0] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA4511 [1] EMPTY=INCLUDE 
  /CRITERIA CILEVEL=95 
  /TITLES 
    TITLE='Disposición final de agua residual no tratada 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.
*==============================================================================*




